:root {
    --min-navbar-width: 300px;
    --max-navbar-width: 350px;
    --default-navbar-width: minmax(var(--min-navbar-width), min(10%, var(--max-navbar-width)));
    --hide-navbar-width: var(var(--default-navbar-width));
}

html * {
    font-family: Arial, Helvetica, sans-serif;
}

body {
    margin: 0px;
}

select {
    background-color: white;
    border: 1px solid #c5c5c5;
}

.alert {
    padding: 20px;
    margin: 5px;
    color: #970020;
    background-color: #ffd5de;
}

.container {
    display: grid;
    grid-template-columns: var(--hide-navbar-width, var(--default-navbar-width)) 6fr;
    grid-template-rows: 0.1fr 1.9fr;
    gap: 0px 0px;
    grid-template-areas:
        "header header"
        "navbar body";
    width: 100vw;
    height: 100vh;
    overflow-x: auto;
}

.container.navbar-visible {
    --hide-navbar-width: 0px;
}


.header {
    grid-area: header;
    background-color: cornflowerblue;
    text-align: left;
    align-items: center;
    padding-left: 20px;
}

.header h1 {
    display: inline-block;
}

.header .openbtn {
    font-size: 30px;
    cursor: pointer;
    background-color: inherit;
    color: black;
    padding: 10px 15px;
    border: none;
    display: inline-block;
}


.navbar {
    grid-area: navbar;
    background-color: rgb(228, 228, 228);
    align-items: center;
    overflow-x: hidden;
}


.navbar ul {
    margin: 0px;
    list-style-type: none;
    padding: 0;
    align-items: center;
}

.navbar ul li a {
    display: block;
    color: #000;
    padding: 16px 16px;
    text-decoration: none;
    text-align: left;
    border-bottom: 1px solid black;
    min-width: 100px;
}

.navbar ul li a.active {
    background-color: deepskyblue;
    color: white;
}

.navbar ul li a:hover:not(.active) {
    background-color: #555;
    color: white;
}

.body {
    grid-area: body;
    display: grid;
    justify-content: center;
    align-items: center;
    overflow-y: auto;
    scrollbar-gutter: stable;
    min-width: 500px;
    grid-template-columns: subgrid;
    grid-template-rows: min-content 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "breadcrumbs"
        "main";
}

.overview {
    text-align: center;
}

.footer {
    grid-area: footer;
    background-color: rgb(228, 228, 228);
    text-align: center;
    align-items: center;
}

.breadcrumbs {
    grid-area: breadcrumbs;
    text-align: left;
    justify-content: center;
}

.breadcrumbs ol {
    margin: 0px;
    margin-top: 25px;
    padding-left: 20px;
}

.breadcrumbs ol li {
    list-style-type: none;
    float: left;
    font-size: 0.9em;
    padding-left: 0px;
}

.breadcrumbs ol li a {
    text-decoration: none;
    color: blue;
}

.main {
    grid-area: main;
    width: 100%;
    text-align: center;
    max-height: 100%;
    padding: 0px 0px;
}

.clear-table {
    border: 0px;
    width: 100%;
    margin-right: auto;
    margin-left: 0px;
}

.clear-table td {
    padding: 10px 0px;
}

.clear-table td label {
    font-size: smaller;
    font-weight: bold;
}

.clear-table-label {
    width: 150px;
}

.clear-table-data * {
    box-sizing: border-box;
    width: 75%;
    padding: 5px 0px;
    padding-left: 5px;
    font-size: 1em;
}

.clear-table-data input[type="checkbox"] {
    width: auto;
    margin-left: 0px;
}

.clear-table-data input[readonly] {
    background-color: lightgrey;
}

.clear-table-data input:invalid {
    border: 1px solid red;
}

.clear-table-label .required::after {
    content: " *";
    color: red;
}

.bordered-table {
    border: 1px solid #c5c5c5;
    width: 70%;
    margin-right: auto;
    margin-left: 0px;
    border-collapse: collapse;
    margin-bottom: 10px;
}

.bordered-table th,
.bordered-table td {
    padding: 10px 10px;
    border: 1px solid #c5c5c5;
}

.bordered-table th {
    border: 1px solid black;
}

.bordered-table td a {
    text-decoration: none;
    color: blue;
}

.bordered-table td a:visited {
    color: blue;
}

.settings {
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: 0.1fr 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "header"
        "tabs";
    width: 100%;
    height: 100%;
}

.settings-header {
    grid-area: header;
}

.settings-tabs {
    grid-area: tabs;
    overflow-y: auto;
}

.settings-tab {
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: 0.9fr 0.1fr;
    gap: 0px 0px;
    grid-template-areas:
        "data"
        "buttons";
    width: 100%;
    height: 100%;
}

.settings-tab-data {
    grid-area: data;
    height: 60vh;
    overflow-y: auto;
    margin-bottom: 20px;
}

.settings-tab-save {
    padding-top: 5px;
    border-top: 1px solid #c5c5c5;
    grid-area: buttons;
}

.settings h1 {
    padding: 0 0 0 20px;
    margin-bottom: 5px;
}

.settings p {
    padding: 0 0 0 20px;
    margin-top: 5px;
}

.settings .ui-tabs {
    padding: 0px;
}

.settings .ui-tabs .ui-tabs-nav {
    padding-left: 5em;
}

.settings .ui-tabs .ui-tabs-nav li {
    margin-right: -1px;
}

.settings .ui-corner-all {
    border-radius: 0px;
}

.settings .ui-widget-header {
    background: white;
    border: none;
    border-bottom: 1px solid #c5c5c5;
}

.settings .ui-widget.ui-widget-content {
    border: none;
}

.settings .ui-state-default {
    border-radius: 0px !important;
    border-left: 1px solid #c5c5c5 !important;
    border-right: 1px solid #c5c5c5 !important;
    border-top: 1px solid white !important;
}

.settings .ui-state-hover {
    box-shadow: inset 0px 3px 0px 0px grey;
}

.settings .ui-state-active {
    background: white !important;
    box-shadow: inset 0px 3px 0px 0px cornflowerblue;
}

.settings .ui-state-active a:link {
    color: black;
}

.settings .ui-state-active a:visited {
    color: black;
}

.settings table {
    border: 0px;
    width: 100%;
    margin-right: auto;
    margin-left: 0px;

}

.settings table td label {
    font-size: smaller;
    font-weight: bold;
}

.settings table td {
    padding: 10px 0px;
}

.settings-label {
    width: 150px;
}

.settings-text-input {
    border: 1px solid #c5c5c5;
    border-radius: 1px;
    padding-left: 5px;
    box-shadow: inset 0px -1px 0px 0px grey;
}

.settings-text-input:hover {
    box-shadow: inset 0px -1px 0px 0px cornflowerblue;
}

.settings-text-input:disabled {
    background-color: lightgray;
    pointer-events: none;
}

.settings .settings-data * {
    width: 60%;
    padding: 5px 0px;
}


.collectors {
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: 0.1fr 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "header"
        "table";
    width: 100%;
    height: 100%;
}

.collectors-heading {
    grid-area: header;
}

.collectors-table {
    grid-area: table;
    padding: 0px 50px;
}

.collectors-heading h1 {
    padding: 0 0 0 20px;
    margin-bottom: 5px;
}

.collectors-heading p {
    padding: 0 0 0 20px;
    margin-top: 5px;
}

.collectors-table table {
    border: 1px solid #c5c5c5;
    width: 100%;
    margin-right: auto;
    margin-left: 0px;
    border-collapse: collapse;
    margin-bottom: 10px;
}

.collectors-table table th,
.collectors-table table td {
    padding: 10px 10px;
    border: 1px solid #c5c5c5;
}

.collectors-table table th {
    border: 1px solid black;
}

.collectors-table td a {
    text-decoration: none;
    color: blue;
}

.collectors-table td a:visited {
    color: blue;
}

.collectors-add {
    font-weight: bold;
    margin-bottom: 150px;

}

.collectors-add input[type=number] {
    padding: 5px;
    margin: 1em;
}


.collectors-add input[type=text],
.collectors-add select {
    width: 75%;
    padding: 5px;
    margin: 1em;
}

.collectors-add .required::after {
    content: " *";
    color: red;
}


.collector-details {
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: 0.1fr 1fr;
    gap: 0px 0px;
    grid-template-areas:
        "header"
        "data";
    width: 100%;
    height: 100%;
}

.collector-details-header {
    grid-area: header;
    border-bottom: 1px solid #c5c5c5;
}

.collector-details-header h1 {
    padding: 0 0 0 20px;
}

.collector-details-data {
    grid-area: data;
    overflow-y: auto;
    padding: 0 0 0 20px;

}

.collector-details-data-base {
    border-bottom: 1px solid #c5c5c5;
    margin-bottom: 20px;
}

.collector-details-buttons {
    padding-bottom: 20px;
}

.collector-details-data-groups {
    border-bottom: 1px solid #c5c5c5;
    margin-bottom: 20px;
}

.collector-details-data-groups-header {
    display: flex;
    width: 70%;
    margin-bottom: 20px;
}

.collector-details-data-groups-header h2 {
    margin: auto;
    margin-left: 0px;
}

.submit-button-3 {
    appearance: none;
    background-color: #2ea44f;
    border: 1px solid rgba(27, 31, 35, .15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    padding: 6px 16px;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
}

.button-3 {
    appearance: none;
    background-color: #2ea44f;
    border: 1px solid rgba(27, 31, 35, .15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    padding: 6px 6px;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
}

.button-3 a {
    text-decoration: none;
    color: white;
    padding: 8px 16px;
}

.button-3:focus:not(:focus-visible):not(.focus-visible) {
    box-shadow: none;
    outline: none;
}

.button-3:hover {
    background-color: #2c974b;
}

.button-3:focus {
    box-shadow: rgba(46, 164, 79, .4) 0 0 0 3px;
    outline: none;
}


.button-3:active {
    background-color: #298e46;
    box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}

.button-red {
    appearance: none;
    background-color: #a42e2e;
    border: 1px solid rgba(27, 31, 35, .15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    padding: 6px 16px;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
}

.button-red:focus:not(:focus-visible):not(.focus-visible) {
    box-shadow: none;
    outline: none;
}

.button-red:hover {
    background-color: #972c2c;
}

.button-red:focus {
    box-shadow: rgba(164, 46, 46, 0.4) 0 0 0 3px;
    outline: none;
}

.button-red:active {
    background-color: #8e2929;
    box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}

.form-control {
    padding: 10px 5px;
    margin: 0px 0px 10px 0px;
    width: 90%;
}

.table {
    border: 1px solid black;
    border-collapse: collapse;
    width: 90%;
    margin: auto;
    margin-bottom: 50px;
}

.table thead {
    background-color: black;
    color: whitesmoke;
}

.table th,
.table td {
    text-align: left;
    padding: 10px 20px;
    ;
}

.table tbody tr:hover {
    background-color: lightgrey;
}

.table tbody tr:nth-child(even) {
    background-color: deepskyblue;
    color: whitesmoke;
}

.table tbody tr:nth-child(even):hover {
    background-color: darkcyan;
}

.table tr:nth-child(even):hover {
    background-color: darkcyan;
}

.pagination {
    margin-right: 0px;
    text-align: right;
}

.pagination li:hover {
    cursor: pointer;
    background-color: lightgrey;
}


.pagination li {
    display: inline;
    padding: 10px;
    background-color: whitesmoke;
    border: 1px solid gray;
    border-collapse: collapse;
    text-align: center;

}

.pagination li.active {
    background-color: deepskyblue;
}

.logs-overview table tbody tr {
    display: none;
}

.logs-new-button a {
    text-decoration: none;
    color: white;
}

.logs-add-form,
.logs-detail label {
    font-weight: bold;
    margin: auto;
}

.logs-add-form input[type=text],
textarea {
    width: 75%;
    padding: 5px;
    margin: 1em;
}

.logs-add-form input[type=text]:focus {
    border: 3px solid black;
}

.logs-add-form,
.logs-detail #fdescription {
    resize: vertical;
    width: 75%;
}

.logs-detail textarea[readonly] {
    background-color: lightgrey;
}

.logs-detail input[type=text] {
    width: 75%;
    padding: 5px;
    margin: 1em;
}

.logs-detail input[readonly] {
    background-color: lightgrey;
}

.alert-enable-button {
    padding: 1rem;
}


.alert-modify-form label {
    font-weight: bold;
}

.alert-modify-form input[type=text] {
    width: 50%;
    padding: 5px;
}

.alert-modify-form input[type=checkbox] {
    padding: 5px;
    margin: 0px;
}

.alert-modify-form input[type=text]:focus {
    border: 3px solid black;
}

.alert-modify-form input[readonly] {
    background-color: lightgrey;
}

.alert-modify-table {
    margin: 0 auto;
    width: 80%;
    margin-bottom: 10px;
    align-self: center;
}

.alert-modify-table td {
    text-align: left;
    padding: 10px 20px;
}

.latest-delete-table {
    margin: 0 auto;
    width: 55%;
    margin-bottom: 10px;
    align-self: center;
}

.latest-delete-table td {
    text-align: left;
    padding: 10px 20px;
}

.dropdown-buttons {
    padding: 10px 20px;
}

/* Tooltip container */
.tooltip {
    position: relative;
}

/* Tooltip text */
.tooltip .tooltiptext-label {
    display: block;
    visibility: hidden;
    width: 300px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 5px;
    border-radius: 6px;
    font-size: small;

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 120%;
    left: 0%;
    margin-left: -60px;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

/* Tooltip arrow */
.tooltip .tooltiptext-label::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 25%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}


/* Tooltip text */
.tooltip .tooltiptext {
    visibility: hidden;
    width: 150px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 5px;
    border-radius: 6px;
    font-size: small;

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 75%;
    left: 0%;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 20%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext-label,
.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

.alert-upload {
    border-top: 1px solid black;
}

.alert-upload button {
    margin-bottom: 10px;
}

.alert-upload-data {
    margin: 10px 0px;
}

.alert-upload-data label {
    margin: 10px 0px;
}

.alert-upload-data input[type=file] {
    margin: 10px 0px;
    border: 1px solid gray;
    border-radius: 2px;
}